#!/bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Client Common Library
Name:           lime-common
Version:        0.9.4
Release:        1
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :	openwbem 
Requires :	qt > 3.3.3
BuildRequires : openwbem
BuildRequires : openwbem-devel
BuildRequires : qt-devel > 3.3.3

%description
This is the common client library for lime, which depends on OpenWBEM libraries.
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q
%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%post
ldconfig
# create localhost binding openwbem configuration file
if [ -r %{_sysconfdir}/openwbem/openwbem.conf ]; then
    sed 's/\([ \t]*http_server\.listen_addresses[ \t]*=[ \t]*\)[0-9]*\.[0-9]*\.[0-9]*\.[0-9]*/\1127.0.0.1/g' %{_sysconfdir}/openwbem/openwbem.conf > %{_datadir}/%{name}/only_bind_to_localhost_openwbem.conf
fi

%preun
%postun
if [ "$1" = "0" ]
then
 ldconfig
 if [ -e %{_datadir}/%{name}/only_bind_to_localhost_openwbem.conf ]; then
     %{__rm} -f %{_datadir}/%{name}/only_bind_to_localhost_openwbem.conf
 fi
fi
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_libdir}/*.so*
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_includedir}/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/locale/qtstuff_*.qm
%{_datadir}/%{name}/*

%changelog
* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.4, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.3, see also package ChangeLog file for details.

* Tue Jul 3 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.2, see also package ChangeLog file for details.

* Mon Jun 18 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.1, see also package ChangeLog file

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information.

* Fri Mar 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add translate file

* Thu Jan 25 2007 Diancheng Wang <dcwang@redflag-linux.com>
- Initial version for 0.6.0
